## PhoshNotificationBanner

PhoshNotificationBanner — A floating notification

## Functions

GtkWidget * | phosh_notification_banner_new ()
PhoshNotification * | phosh_notification_banner_get_notification ()

## Properties

PhoshNotification * | notification | Read / Write / Construct Only

## Types and Values

#define | PHOSH_TYPE_NOTIFICATION_BANNER
| PhoshNotificationBanner

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── PhoshLayerSurface
                                ╰── PhoshNotificationBanner

## Implemented Interfaces

PhoshNotificationBanner implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### phosh_notification_banner_new ()

    GtkWidget *
    phosh_notification_banner_new (PhoshNotification *notification);

### phosh_notification_banner_get_notification ()

    PhoshNotification *
    phosh_notification_banner_get_notification
                                   (PhoshNotificationBanner *self);

## Types and Values

### PHOSH_TYPE_NOTIFICATION_BANNER

    #define PHOSH_TYPE_NOTIFICATION_BANNER (phosh_notification_banner_get_type ())

### PhoshNotificationBanner

    typedef struct _PhoshNotificationBanner PhoshNotificationBanner;

## Property Details

### The `“notification”` property

      “notification”             PhoshNotification *

The PhoshNotification shown in `self`

Owner: PhoshNotificationBanner

Flags: Read / Write / Construct Only